| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Modules | Data Structures | Macros | Functions
ANT+ common page 81
ANT+ common pages

## Modules
| ANT+ common page 81 configuration

## Data Structures
struct | ant_common_page81_data_t
| Data structure for ANT+ common data page 81. More...

## Macros
#define | ANT_COMMON_PAGE_81 (81)
| ID value of common page 81.
#define | DEFAULT_ANT_COMMON_page81()
| Initialize page 81. More...
#define | ANT_COMMON_page81(sw_major_rev, sw_minor_rev, seril_no)
| Initialize page 81. More...

## Functions
void | ant_common_page_81_encode (uint8_t *p_page_buffer, volatile ant_common_page81_data_t const *p_page_data)
| Function for encoding page 81. More...
void | ant_common_page_81_decode (uint8_t const *p_page_buffer, volatile ant_common_page81_data_t *p_page_data)
| Function for decoding page 81. More...

## Detailed Description

## Macro Definition Documentation

#define ANT_COMMON_page81 | ( |  | sw_major_rev,
|  |  | sw_minor_rev,
|  |  | seril_no
| ) |  |

Value:
(ant_common_page81_data_t) \
{ \
.sw_revision_minor = (sw_minor_rev), \
.sw_revision_major = (sw_major_rev), \
.serial_number = (seril_no), \
}

Initialize page 81.

#define DEFAULT_ANT_COMMON_page81 | ( |  | ) |

Value:
(ant_common_page81_data_t) \
{ \
.sw_revision_minor = UINT8_MAX, \
.sw_revision_major = UINT8_MAX, \
.serial_number = UINT32_MAX, \
}

Initialize page 81.

## Function Documentation

void ant_common_page_81_decode | ( | uint8_t const * | p_page_buffer,
|  | volatile ant_common_page81_data_t * | p_page_data
| ) |  |

Function for decoding page 81.

Parameters

  [in] | p_page_buffer | Pointer to the data buffer.
  [out] | p_page_data | Pointer to the page data.

void ant_common_page_81_encode | ( | uint8_t * | p_page_buffer,
|  | volatile ant_common_page81_data_t const * | p_page_data
| ) |  |

Function for encoding page 81.

Parameters

  [in] | p_page_data | Pointer to the page data.
  [out] | p_page_buffer | Pointer to the data buffer.